## agda-stdlib 0.6~darcs20111129t1640

=== debian/changelog ===
agda-stdlib (0.6~darcs20111129t1640-1) unstable; urgency=low

  * [ef445ab] Imported Upstream version 0.6~darcs20111129t1640
    + Darcs snapshot required for Agda 2.3.0 compatibility
  * [f801f83] Update BDs and deps to require Agda 2.3.0
  * [c52be90] Use 3.0 (quilt) for bz2 orig


 -- Iain Lane <laney@debian.org>  Tue, 29 Nov 2011 17:00:35 +0000

agda-stdlib (0.5-1) unstable; urgency=low

  * [ba20206] Make package architecture independent (Closes: #573807, #598708,
    #599958)
  * [2c82171] Add watch file
  * [9251e0b] Imported Upstream version 0.5
  * [0518fa6] No longer need procps | hurd BD as we no longer have the ticker
  * [daf2445] Don't use upstream's make install — handled ourselves by
    dh_install
  * [1b86533] Update watchfile to point at new location
  * [637f47d] Remove debian/gbp.conf as we are no longer building for exp
  * [cc88671] Require Agda 2.2.10
  * [e99dab5] Set maximum stack size to 1G to prevent overflows in the build
  * [251cd1d] Run the test suite manually
  * [a7db697] Set the variable in the emacs loading script properly
  * [540ca3f] Improved short description
  * [6b3e794] Add dependencies on compatible versions of the Agda library
  * [7127678] Standards-Version bump to 3.9.2, no changes required
  * [9d0ae30] Update to use ghc instead of ghc6
  * [32caa7f] Set Maintainer to my d.o email address

 -- Iain Lane <laney@debian.org>  Tue, 24 May 2011 10:26:15 +0100

agda-stdlib (0.3-3) unstable; urgency=low

  [ Iain Lane ]
  * debian/control: Add missing procps | hurd build-dep so that ps is available
    to run the ticker.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Tue, 02 Mar 2010 20:56:49 -0300

agda-stdlib (0.3-2) unstable; urgency=low

  [ Iain Lane ]
  * debian/control: Fix short descriptions (too long, one said "profiling"
    instead of "documentation")
  * debian/rules, debian/control: No need to use upstream's buildsys. This only
    builds Everything.agda which is already included in the distribution
    anyway. Also trim GHC and filepath from build-deps as these aren't needed
    now. This bypassing is required because upstream's buildsys invokes
    runhaskell, which isn't available everywhere. (Closes: #569262)
  * debian/rules: Disable upstream tests for the same reason as above. We
    typecheck the same file, README.agda, to generate the documentation
    anyway so this has no negative effect.
  * debian/rules, debian/watcher.sh: Add a ticker to the build to avoid
    timeouts on some slow architectures. 

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Sat, 27 Feb 2010 09:05:52 -0300

agda-stdlib (0.3-1) unstable; urgency=low

  * Initial release. (Closes: #522914)

 -- Iain Lane <laney@ubuntu.com>  Fri, 08 Jan 2010 23:35:09 +0000

## agda-stdlib 2.1

=== tests/Makefile ===
INTERACTIVE ?= --interactive

runtests: runtests.agda
	rm -f _build/runtests
	rm -f _build/MAlonzo/Code/Qruntests*
	$(AGDA) --compile-dir=_build/ -c runtests.agda

test: runtests
	./_build/runtests $(AGDA_EXEC) $(INTERACTIVE) --timing --failure-file failures --only $(only)


retest: runtests
	./_build/runtests $(AGDA_EXEC) $(INTERACTIVE) --timing --failure-file failures --only-file failures --only $(only)

## agda-stdlib 0.6

=== debian/changelog ===
agda-stdlib (0.6-2) unstable; urgency=low

  * Relax agda dependency a bit to allow for minor releases 
  * Add the Debian Haskell Group as uploaders, by Iains suggestion

 -- Joachim Breitner <nomeata@debian.org>  Wed, 14 Mar 2012 10:30:26 +0100

agda-stdlib (0.6-1) unstable; urgency=low

  * [a88bdc0] Imported Upstream version 0.6
  * [7aea5f2] Update copyright for new copyright holders and for new DEP5

 -- Iain Lane <laney@debian.org>  Fri, 30 Dec 2011 20:02:46 +0000

=== debian/control ===
Source: agda-stdlib
Priority: extra
Section: libs
Maintainer: Iain Lane <laney@debian.org>
Uploaders: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               agda-bin (>= 2.3.0),
               agda-bin (<< 2.3.1~),
               libghc-agda-dev (>= 2.3.0),
               libghc-agda-dev (<< 2.3.1~)
Standards-Version: 3.9.2
Vcs-Browser: http://git.debian.org/?p=collab-maint/agda-stdlib.git
Vcs-Git: git://git.debian.org/git/collab-maint/agda-stdlib.git
Homepage: http://wiki.portal.chalmers.se/agda/

Package: agda-stdlib
Architecture: all
Depends: ${misc:Depends},
         libghc-agda-dev (>= 2.3.0),
         libghc-agda-dev (<< 2.3.1~)
Enhances: agda-mode
Description: standard library for Agda
 Agda is a dependently typed functional programming language: It has inductive
 families, which are like Haskell's GADTs, but they can be indexed by values and
 not just types. It also has parameterised modules, mixfix operators, Unicode
 characters, and an interactive Emacs interface (the type checker can assist in
 the development of your code).
 .
 Agda is also a proof assistant: It is an interactive system for writing and
 checking proofs. Agda is based on intuitionistic type theory, a foundational
 system for constructive mathematics developed by the Swedish logician Per
 Martin-Löf. It has many similarities with other proof assistants based on
 dependent types, such as Coq, Epigram and NuPRL.
 .
 The Agda standard library contains modules for many common data structures and
 proof patterns. Modules provided include:
  - Algebra: Specifying and reasoning about abstract algebraic structures
  - Category: Using idioms from category theory to structure functional programs
  - Coinduction: Support for programming coindutively
  - Data: Data types and properties about data types
  - Foreign: Relating to the foreign function interface
  - Induction: A general framework for induction
  - IO: Input/output related functions
  - Level: Universe levels
  - Relations: Properties of and proofs about relations
  - Size: Sizes used by the sized types mechanism
 .
 This package contains the complete library.

Package: agda-stdlib-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: agda-stdlib
Description: standard library for Agda — documentation
 Agda is a dependently typed functional programming language: It has inductive
 families, which are like Haskell's GADTs, but they can be indexed by values and
 not just types. It also has parameterised modules, mixfix operators, Unicode
 characters, and an interactive Emacs interface (the type checker can assist in
 the development of your code).
 .
 Agda is also a proof assistant: It is an interactive system for writing and
 checking proofs. Agda is based on intuitionistic type theory, a foundational
 system for constructive mathematics developed by the Swedish logician Per
 Martin-Löf. It has many similarities with other proof assistants based on
 dependent types, such as Coq, Epigram and NuPRL.
 .
 The Agda standard library contains modules for many common data structures and
 proof patterns. Modules provided include:
  - Algebra: Specifying and reasoning about abstract algebraic structures
  - Category: Using idioms from category theory to structure functional programs
  - Coinduction: Support for programming coindutively
  - Data: Data types and properties about data types
  - Foreign: Relating to the foreign function interface
  - Induction: A general framework for induction
  - IO: Input/output related functions
  - Level: Universe levels
  - Relations: Properties of and proofs about relations
  - Size: Sizes used by the sized types mechanism
 .
 This package contains the hyperlinked library documentation.

## agda-stdlib 0.7

=== debian/changelog ===
agda-stdlib (0.7-2) unstable; urgency=low

  * Upload to unstable 

 -- Iain Lane <laney@debian.org>  Mon, 27 May 2013 19:29:25 +0100

agda-stdlib (0.7-1) experimental; urgency=low

  * [6d52289] Imported Upstream version 0.7
  * [54104d0] Update Depends and Build-Depends for this version, compatible
    with Agda 2.3.2
  * [b3ddce4] No need for the .install file to be executable (thanks lintian)
  * [a9a6cb7] Standards-Version → 3.9.4, no changes required

 -- Iain Lane <laney@debian.org>  Wed, 10 Apr 2013 10:30:20 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Iain Lane <laney@debian.org>
 Uploaders: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
-               agda-bin (>= 2.3.0),
-               agda-bin (<< 2.3.1~),
-               libghc-agda-dev (>= 2.3.0),
-               libghc-agda-dev (<< 2.3.1~)
-Standards-Version: 3.9.2
+               agda-bin (>= 2.3.2),
+               agda-bin (<< 2.3.3~),
+               libghc-agda-dev (>= 2.3.2),
+               libghc-agda-dev (<< 2.3.3~)
+Standards-Version: 3.9.4
 Vcs-Browser: http://git.debian.org/?p=collab-maint/agda-stdlib.git
 Vcs-Git: git://git.debian.org/git/collab-maint/agda-stdlib.git
 Homepage: http://wiki.portal.chalmers.se/agda/
@@ -16,8 +16,8 @@
 Package: agda-stdlib
 Architecture: all
 Depends: ${misc:Depends},
-         libghc-agda-dev (>= 2.3.0),
-         libghc-agda-dev (<< 2.3.1~)
+         libghc-agda-dev (>= 2.3.2),
+         libghc-agda-dev (<< 2.3.3~)
 Enhances: agda-mode
 Description: standard library for Agda
  Agda is a dependently typed functional programming language: It has inductive

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_clean:
	find $(CURDIR) -name "*.agdai" -delete
	rm -rf $(CURDIR)/html
	dh_auto_clean

override_dh_auto_build:
	agda +RTS -K1G -RTS -i $(CURDIR) -i $(CURDIR)/src $(CURDIR)/Everything.agda
	agda --html -i $(CURDIR) -i $(CURDIR)/src $(CURDIR)/README.agda

# Don't use upstream's 'make install'
override_dh_auto_install:

override_dh_auto_test:
	agda -i $(CURDIR) -i $(CURDIR)/src README.agda

%:
	dh $@

=== debian/watch ===
version=3

http://wiki.portal.chalmers.se/agda/pmwiki.php?n=Libraries.StandardLibrary http://www.cse.chalmers.se/~nad/software/lib-(.*).tar.gz

## agda-stdlib 0.8

=== debian/changelog ===
agda-stdlib (0.8-2) unstable; urgency=medium

  * [f9da3dc] Build-Depend on FileManip to fix GenerateEverything.hs
    generation

 -- Iain Lane <laney@debian.org>  Tue, 12 Aug 2014 10:22:32 +0100

agda-stdlib (0.8-1) unstable; urgency=medium

  * [4ca6fd0] Update debian/watch to fetch tarballs from github
  * [84d4313] Imported Upstream version 0.8
  * [7b08243] debian/control: Require agda 2.4.x per upstream
  * [37e7e10] debian/control: Standards-Version → 3.9.5, no changes required.
  * [9051b9d] Run upstream's "GenerateEverything" script

 -- Iain Lane <laney@debian.org>  Tue, 05 Aug 2014 09:46:46 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Maintainer: Iain Lane <laney@debian.org>
 Uploaders: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
-               agda-bin (>= 2.3.2),
-               agda-bin (<< 2.3.3~),
-               libghc-agda-dev (>= 2.3.2),
-               libghc-agda-dev (<< 2.3.3~)
-Standards-Version: 3.9.4
+               agda-bin (>= 2.4.0),
+               agda-bin (<< 2.5.0),
+               libghc-agda-dev (>= 2.4.0),
+               libghc-agda-dev (<< 2.5.0),
+               libghc-filemanip-dev
+Standards-Version: 3.9.5
 Vcs-Browser: http://git.debian.org/?p=collab-maint/agda-stdlib.git
 Vcs-Git: git://git.debian.org/git/collab-maint/agda-stdlib.git
 Homepage: http://wiki.portal.chalmers.se/agda/
@@ -16,8 +17,8 @@
 Package: agda-stdlib
 Architecture: all
 Depends: ${misc:Depends},
-         libghc-agda-dev (>= 2.3.2),
-         libghc-agda-dev (<< 2.3.3~)
+         libghc-agda-dev (>= 2.4.0),
+         libghc-agda-dev (<< 2.5.0~)
 Enhances: agda-mode
 Description: standard library for Agda
  Agda is a dependently typed functional programming language: It has inductive

=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,12 @@
 override_dh_auto_clean:
 	find $(CURDIR) -name "*.agdai" -delete
 	rm -rf $(CURDIR)/html
+	rm -f $(CURDIR)/GenerateEverything{,.hi.o}
 	dh_auto_clean
 
 override_dh_auto_build:
+	ghc --make GenerateEverything.hs
+	./GenerateEverything
 	agda +RTS -K1G -RTS -i $(CURDIR) -i $(CURDIR)/src $(CURDIR)/Everything.agda
 	agda --html -i $(CURDIR) -i $(CURDIR)/src $(CURDIR)/README.agda

=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/agda-stdlib-$1.tar.gz/" \
         https://github.com/agda/agda-stdlib/tags (?:.*/)?v?(0[\d\.]*)\.tar\.gz

## agda-stdlib 0.9

=== debian/changelog ===
agda-stdlib (0.9-1) unstable; urgency=medium

  * [b306254] Imported Upstream version 0.9
  * [bb746af] Bump BDs and deps to ≥ 2.4.2.2

 -- Iain Lane <laney@debian.org>  Wed, 20 May 2015 12:33:35 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Iain Lane <laney@debian.org>
 Uploaders: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
-               agda-bin (>= 2.4.0),
+               agda-bin (>= 2.4.2.2),
                agda-bin (<< 2.5.0),
-               libghc-agda-dev (>= 2.4.0),
+               libghc-agda-dev (>= 2.4.2.2),
                libghc-agda-dev (<< 2.5.0),
                libghc-filemanip-dev
 Standards-Version: 3.9.5
@@ -17,7 +17,7 @@
 Package: agda-stdlib
 Architecture: all
 Depends: ${misc:Depends},
-         libghc-agda-dev (>= 2.4.0),
+         libghc-agda-dev (>= 2.4.2.2),
          libghc-agda-dev (<< 2.5.0~)
 Enhances: agda-mode
 Description: standard library for Agda

## agda-stdlib 0.11

=== debian/changelog ===
agda-stdlib (0.11-1) unstable; urgency=medium

  * [22d7b46] Imported Upstream version 0.11
  * [cb56887] Bump relationships with agda to ≥ 2.4.2.4

 -- Iain Lane <laney@debian.org>  Mon, 04 Jan 2016 13:01:15 +0000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Iain Lane <laney@debian.org>
 Uploaders: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
-               agda-bin (>= 2.4.2.2),
+               agda-bin (>= 2.4.2.4),
                agda-bin (<< 2.5.0),
-               libghc-agda-dev (>= 2.4.2.2),
+               libghc-agda-dev (>= 2.4.2.4),
                libghc-agda-dev (<< 2.5.0),
                libghc-filemanip-dev
 Standards-Version: 3.9.5
@@ -17,7 +17,7 @@
 Package: agda-stdlib
 Architecture: all
 Depends: ${misc:Depends},
-         libghc-agda-dev (>= 2.4.2.2),
+         libghc-agda-dev (>= 2.4.2.4),
          libghc-agda-dev (<< 2.5.0~)
 Enhances: agda-mode
 Description: standard library for Agda

## agda-stdlib 0.12

=== debian/changelog ===
agda-stdlib (0.12-2) unstable; urgency=medium

  * Team upload.
  * Add Breaks: agda-bin << 2.5.1: agdai files incompatible
  * Switch Enhances from agda-mode to elpa-agda2-mode
  * 60agda-stdlib.el: Switch to agda2-program-args as agda2-include-dirs is
    deprecated
  * Skip running tests when DEB_BUILD_OPTIONS contains nocheck.

 -- Helmut Grohne <helmut@subdivi.de>  Thu, 23 Jun 2016 19:43:37 +0200

agda-stdlib (0.12-1) unstable; urgency=medium

  * Package new upstream release.
  * Bump relationships with agda to >= 2.5.1, << 2.6.0.
  * Fix override_dh_auto_clean to actually delete GenerateEverything{,.hi,.o}.
  * Clean target also deletes Everything.agda.
  * Add myself as an uploader.
  * Update Vcs-* URIs.
  * Bump standards version to 3.9.8 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 15 Jun 2016 11:27:50 +0900

=== debian/control ===
--- 
+++ 
@@ -2,24 +2,25 @@
 Priority: extra
 Section: libs
 Maintainer: Iain Lane <laney@debian.org>
-Uploaders: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Uploaders: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>, Sean Whitton <spwhitton@spwhitton.name>
 Build-Depends: debhelper (>= 7.0.50~),
-               agda-bin (>= 2.4.2.4),
-               agda-bin (<< 2.5.0),
-               libghc-agda-dev (>= 2.4.2.4),
-               libghc-agda-dev (<< 2.5.0),
+               agda-bin (>= 2.5.1),
+               agda-bin (<< 2.6.0),
+               libghc-agda-dev (>= 2.5.1),
+               libghc-agda-dev (<< 2.6.0),
                libghc-filemanip-dev
-Standards-Version: 3.9.5
-Vcs-Browser: http://git.debian.org/?p=collab-maint/agda-stdlib.git
-Vcs-Git: git://git.debian.org/git/collab-maint/agda-stdlib.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/agda-stdlib.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/agda-stdlib.git
 Homepage: http://wiki.portal.chalmers.se/agda/
 
 Package: agda-stdlib
 Architecture: all
 Depends: ${misc:Depends},
-         libghc-agda-dev (>= 2.4.2.4),
-         libghc-agda-dev (<< 2.5.0~)
-Enhances: agda-mode
+         libghc-agda-dev (>= 2.5.1),
+         libghc-agda-dev (<< 2.6.0)
+Breaks: agda-bin (<< 2.5.1)
+Enhances: elpa-agda2-mode
 Description: standard library for Agda
  Agda is a dependently typed functional programming language: It has inductive
  families, which are like Haskell's GADTs, but they can be indexed by values and

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,10 @@
 override_dh_auto_clean:
 	find $(CURDIR) -name "*.agdai" -delete
 	rm -rf $(CURDIR)/html
-	rm -f $(CURDIR)/GenerateEverything{,.hi.o}
+	rm -f $(CURDIR)/GenerateEverything \
+		$(CURDIR)/GenerateEverything.hi \
+		$(CURDIR)/GenerateEverything.o \
+		$(CURDIR)/Everything.agda
 	dh_auto_clean
 
 override_dh_auto_build:
@@ -15,8 +18,10 @@
 # Don't use upstream's 'make install'
 override_dh_auto_install:
 
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
 	agda -i $(CURDIR) -i $(CURDIR)/src README.agda
+endif
 
 %:
 	dh $@

## agda-stdlib 0.13

=== debian/changelog ===
agda-stdlib (0.13-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload
  * New upstream release
  * Bump compat level to 10
  * Bump std-version to 4.0.0

  [ Sean Whitton ]
  * Remove myself as an uploader.
    I do not expect to be able to look after this package for the buster cycle.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 06 Jul 2017 11:16:33 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Priority: extra
 Section: libs
 Maintainer: Iain Lane <laney@debian.org>
-Uploaders: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>, Sean Whitton <spwhitton@spwhitton.name>
-Build-Depends: debhelper (>= 7.0.50~),
+Uploaders: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Build-Depends: debhelper (>= 10),
                agda-bin (>= 2.5.1),
                agda-bin (<< 2.6.0),
                libghc-agda-dev (>= 2.5.1),
                libghc-agda-dev (<< 2.6.0),
                libghc-filemanip-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/agda-stdlib.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/agda-stdlib.git
 Homepage: http://wiki.portal.chalmers.se/agda/

## agda-stdlib 0.14

=== debian/changelog ===
agda-stdlib (0.14-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * New upstream release (Closes: #881307)
  * Bump std-version to 4.1.1, set priority to optional

  [ Helmut Grohne ]
  * Team upload
  * Address FTBFS: export LC_ALL=C.UTF-8. (Addresses: #881307)
  * Bump agda-bin Breaks due to agdai incompatibility.
  * Tighten up agda relation ships to detect incompatibility next time.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 26 Nov 2017 11:28:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: agda-stdlib
-Priority: extra
+Priority: optional
 Section: libs
 Maintainer: Iain Lane <laney@debian.org>
 Uploaders: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 10),
-               agda-bin (>= 2.5.1),
-               agda-bin (<< 2.6.0),
-               libghc-agda-dev (>= 2.5.1),
-               libghc-agda-dev (<< 2.6.0),
+               agda-bin (>= 2.5.3),
+               agda-bin (<< 2.5.4~),
+               libghc-agda-dev (>= 2.5.3),
+               libghc-agda-dev (<< 2.5.4~),
                libghc-filemanip-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1.
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/agda-stdlib.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/agda-stdlib.git
 Homepage: http://wiki.portal.chalmers.se/agda/
@@ -17,9 +17,9 @@
 Package: agda-stdlib
 Architecture: all
 Depends: ${misc:Depends},
-         libghc-agda-dev (>= 2.5.1),
-         libghc-agda-dev (<< 2.6.0)
-Breaks: agda-bin (<< 2.5.1)
+         libghc-agda-dev (>= 2.5.3),
+         libghc-agda-dev (<< 2.5.4~)
+Breaks: agda-bin (<< 2.5.3)
 Enhances: elpa-agda2-mode
 Description: standard library for Agda
  Agda is a dependently typed functional programming language: It has inductive

## agda-stdlib 0.17

=== debian/changelog ===
agda-stdlib (0.17-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Bump dep bounds on agda-bin & libghc-agda-dev.
      Require 2.5.4.1 per upstream changelog.
      Assume, at least for now, that agda-stdlib will break with 2.5.5.
  * Drop spurious period from end of Standards-Version field.
  * Point Vcs-* at salsa.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 23 Nov 2018 17:54:52 -0700

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,21 @@
 Maintainer: Iain Lane <laney@debian.org>
 Uploaders: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 10),
-               agda-bin (>= 2.5.3),
-               agda-bin (<< 2.5.4~),
-               libghc-agda-dev (>= 2.5.3),
-               libghc-agda-dev (<< 2.5.4~),
+               agda-bin (>= 2.5.4.1),
+               agda-bin (<< 2.5.5~),
+               libghc-agda-dev (>= 2.5.4.1),
+               libghc-agda-dev (<< 2.5.5~),
                libghc-filemanip-dev
-Standards-Version: 4.1.1.
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/agda-stdlib.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/agda-stdlib.git
+Standards-Version: 4.1.1
+Vcs-Browser: https://salsa.debian.org/haskell-team/agda-stdlib
+Vcs-Git: https://salsa.debian.org/haskell-team/agda-stdlib.git
 Homepage: http://wiki.portal.chalmers.se/agda/
 
 Package: agda-stdlib
 Architecture: all
 Depends: ${misc:Depends},
-         libghc-agda-dev (>= 2.5.3),
-         libghc-agda-dev (<< 2.5.4~)
+         libghc-agda-dev (>= 2.5.4.1),
+         libghc-agda-dev (<< 2.5.5~)
 Breaks: agda-bin (<< 2.5.3)
 Enhances: elpa-agda2-mode
 Description: standard library for Agda

## agda-stdlib 1.1

=== debian/changelog ===
agda-stdlib (1.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.1
  * Update copyright years
  * Bump compat level to 12
  * Bump std-version to 4.4.0
  * Update agda relationships bounds

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 04 Sep 2019 15:06:56 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Section: libs
 Maintainer: Iain Lane <laney@debian.org>
 Uploaders: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 10),
-               agda-bin (>= 2.5.4.1),
-               agda-bin (<< 2.5.5~),
-               libghc-agda-dev (>= 2.5.4.1),
-               libghc-agda-dev (<< 2.5.5~),
+Build-Depends: debhelper-compat (= 12),
+               agda-bin (>= 2.6.0.1),
+               agda-bin (<< 2.6.1~),
+               libghc-agda-dev (>= 2.6.0.1),
+               libghc-agda-dev (<< 2.6.1~),
                libghc-filemanip-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/haskell-team/agda-stdlib
 Vcs-Git: https://salsa.debian.org/haskell-team/agda-stdlib.git
 Homepage: http://wiki.portal.chalmers.se/agda/
@@ -17,8 +17,8 @@
 Package: agda-stdlib
 Architecture: all
 Depends: ${misc:Depends},
-         libghc-agda-dev (>= 2.5.4.1),
-         libghc-agda-dev (<< 2.5.5~)
+         libghc-agda-dev (>= 2.6.0.1),
+         libghc-agda-dev (<< 2.6.1~),
 Breaks: agda-bin (<< 2.5.3)
 Enhances: elpa-agda2-mode
 Description: standard library for Agda

## agda-stdlib 1.3

=== debian/changelog ===
agda-stdlib (1.3-2) unstable; urgency=medium

  * Also ship again agdai files (Closes: #966650)
    thanks Helmut Grohne for the report!
  * Bump std-version to 4.5.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Aug 2020 10:29:35 +0200

agda-stdlib (1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.3
  * Fix watch file
  * Bump agda dependency bounds
  * Bump copyright years

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 31 Jul 2020 13:31:04 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Iain Lane <laney@debian.org>
 Uploaders: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Build-Depends: debhelper-compat (= 12),
-               agda-bin (>= 2.6.0.1),
-               agda-bin (<< 2.6.1~),
-               libghc-agda-dev (>= 2.6.0.1),
-               libghc-agda-dev (<< 2.6.1~),
+               agda-bin (>= 2.6.1),
+               agda-bin (<< 2.6.2~),
+               libghc-agda-dev (>= 2.6.1),
+               libghc-agda-dev (<< 2.6.2~),
                libghc-filemanip-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/haskell-team/agda-stdlib
 Vcs-Git: https://salsa.debian.org/haskell-team/agda-stdlib.git
 Homepage: http://wiki.portal.chalmers.se/agda/
@@ -17,8 +17,8 @@
 Package: agda-stdlib
 Architecture: all
 Depends: ${misc:Depends},
-         libghc-agda-dev (>= 2.6.0.1),
-         libghc-agda-dev (<< 2.6.1~),
+         libghc-agda-dev (>= 2.6.1),
+         libghc-agda-dev (<< 2.6.2~),
 Breaks: agda-bin (<< 2.5.3)
 Enhances: elpa-agda2-mode
 Description: standard library for Agda

## agda-stdlib 1.7.1

=== debian/changelog ===
agda-stdlib (1.7.1-1) unstable; urgency=medium

  * New upstream release
  * Bump agda dependency bounds
  * Bump std-version to 4.6.1

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 06 Aug 2022 19:38:00 +0300

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,21 @@
 Maintainer: Iain Lane <laney@debian.org>
 Uploaders: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Build-Depends: debhelper-compat (= 12),
-               agda-bin (>= 2.6.1),
-               agda-bin (<< 2.6.2~),
-               libghc-agda-dev (>= 2.6.1),
-               libghc-agda-dev (<< 2.6.2~),
+               agda-bin (>= 2.6.2),
+               agda-bin (<< 2.6.3~),
+               libghc-agda-dev (>= 2.6.2),
+               libghc-agda-dev (<< 2.6.3~),
                libghc-filemanip-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/haskell-team/agda-stdlib
 Vcs-Git: https://salsa.debian.org/haskell-team/agda-stdlib.git
-Homepage: http://wiki.portal.chalmers.se/agda/
+Homepage: https://wiki.portal.chalmers.se/agda/
 
 Package: agda-stdlib
 Architecture: all
 Depends: ${misc:Depends},
-         libghc-agda-dev (>= 2.6.1),
-         libghc-agda-dev (<< 2.6.2~),
+         libghc-agda-dev (>= 2.6.2),
+         libghc-agda-dev (<< 2.6.3~),
 Breaks: agda-bin (<< 2.5.3)
 Enhances: elpa-agda2-mode
 Description: standard library for Agda

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export LC_ALL=C.UTF-8
 
 override_dh_auto_clean:
 	find $(CURDIR) -name "*.agdai" -delete

## agda-stdlib 1.7.3

=== debian/changelog ===
agda-stdlib (1.7.3-1) unstable; urgency=low

  * New upstream release (Closes: #1054936)
  * Apply multi-arch hints. + agda-stdlib-doc: Add Multi-Arch: foreign.

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 04 Nov 2023 13:55:07 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Iain Lane <laney@debian.org>
 Uploaders: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Build-Depends: debhelper-compat (= 12),
-               agda-bin (>= 2.6.2),
-               agda-bin (<< 2.6.3~),
-               libghc-agda-dev (>= 2.6.2),
-               libghc-agda-dev (<< 2.6.3~),
+               agda-bin (>= 2.6.3),
+               agda-bin (<< 2.6.5~),
+               libghc-agda-dev (>= 2.6.3),
+               libghc-agda-dev (<< 2.6.5~),
                libghc-filemanip-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/haskell-team/agda-stdlib
 Vcs-Git: https://salsa.debian.org/haskell-team/agda-stdlib.git
 Homepage: https://wiki.portal.chalmers.se/agda/
@@ -17,9 +17,8 @@
 Package: agda-stdlib
 Architecture: all
 Depends: ${misc:Depends},
-         libghc-agda-dev (>= 2.6.2),
-         libghc-agda-dev (<< 2.6.3~),
-Breaks: agda-bin (<< 2.5.3)
+         libghc-agda-dev (>= 2.6.3),
+         libghc-agda-dev (<< 2.6.5~),
 Enhances: elpa-agda2-mode
 Description: standard library for Agda
  Agda is a dependently typed functional programming language: It has inductive
@@ -54,6 +53,7 @@
 Section: doc
 Depends: ${misc:Depends}
 Suggests: agda-stdlib
+Multi-Arch: foreign
 Description: standard library for Agda — documentation
  Agda is a dependently typed functional programming language: It has inductive
  families, which are like Haskell's GADTs, but they can be indexed by values and

## agda-stdlib 2.1

=== debian/changelog ===
agda-stdlib (2.1-4build1) resolute; urgency=medium

  * Rebuild against new GHC ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Nov 2025 08:53:58 +0100

agda-stdlib (2.1-4) unstable; urgency=medium

  * Include deprecated modules.
    Thanks Helmut Grohne for the report.

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 25 Nov 2024 19:17:09 +0200

agda-stdlib (2.1-3) unstable; urgency=medium

  * Remove Iain Lane from uploaders. Thank you Iain (Closes: #914691)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 24 Oct 2024 13:25:31 +0300

agda-stdlib (2.1-2) unstable; urgency=medium

  * Fix import path for elpa-agda2-mode.
    Thanks Kei Hibino for the patch (Closes: #1085873)
  * Install build artifacts under '/usr/share/agda-stdlib/_build/'

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 23 Oct 2024 18:28:19 +0300

agda-stdlib (2.1-1) unstable; urgency=medium

  * New upstream release
  * Set "Debian Haskell Group" as the maintainer
  * Declare compliance with Debian policy 4.7.0
  * Install standard-library.agda-lib to use Agda's new library management
    system (Closes: #1076387, #981354)
  * Remove generated artifacts (Closes: #1044031)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Fri, 18 Oct 2024 15:11:47 +0300

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,19 @@
 Source: agda-stdlib
 Priority: optional
 Section: libs
-Maintainer: Iain Lane <laney@debian.org>
-Uploaders: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Uploaders:
+ Ilias Tsitsimpis <iliastsi@debian.org>,
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 12),
-               agda-bin (>= 2.6.3),
-               agda-bin (<< 2.6.5~),
-               libghc-agda-dev (>= 2.6.3),
-               libghc-agda-dev (<< 2.6.5~),
-               libghc-filemanip-dev
-Standards-Version: 4.6.2
+               ghc (>= 9.6),
+               agda-bin (>= 2.6.4.3),
+               agda-bin (<< 2.6.4.4~),
+               libghc-agda-dev (>= 2.6.4.3),
+               libghc-agda-dev (<< 2.6.4.4~),
+               libghc-filemanip-dev (>= 0.3.6.2),
+               libghc-filemanip-dev (<< 0.4),
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/haskell-team/agda-stdlib
 Vcs-Git: https://salsa.debian.org/haskell-team/agda-stdlib.git
 Homepage: https://wiki.portal.chalmers.se/agda/
@@ -17,8 +21,8 @@
 Package: agda-stdlib
 Architecture: all
 Depends: ${misc:Depends},
-         libghc-agda-dev (>= 2.6.3),
-         libghc-agda-dev (<< 2.6.5~),
+         libghc-agda-dev (>= 2.6.4.3),
+         libghc-agda-dev (<< 2.6.4.4~),
 Enhances: elpa-agda2-mode
 Description: standard library for Agda
  Agda is a dependently typed functional programming language: It has inductive

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8

override_dh_auto_clean:
	rm -rf $(CURDIR)/_build/
	rm -rf $(CURDIR)/doc/_build/
	rm -rf $(CURDIR)/doc/html/
	rm -f $(CURDIR)/GenerateEverything \
		$(CURDIR)/GenerateEverything.hi \
		$(CURDIR)/GenerateEverything.o \
		$(CURDIR)/doc/Everything.agda \
		$(CURDIR)/doc/EverythingSafe.agda
	dh_auto_clean

override_dh_auto_build:
	ghc --make GenerateEverything.hs
	./GenerateEverything --include-deprecated --out-dir doc
	cd $(CURDIR)/doc && agda +RTS -K1G -RTS Everything.agda
	cd $(CURDIR)/doc && agda --html README.agda

# Don't use upstream's 'make install'
override_dh_auto_install:

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	cd $(CURDIR)/doc && agda README.agda
endif

%:
	dh $@

## agda-stdlib 2.3

=== debian/changelog ===
agda-stdlib (2.3-1) unstable; urgency=medium

  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 15 Feb 2026 15:02:07 +0200

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Uploaders:
  Ilias Tsitsimpis <iliastsi@debian.org>,
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12),
-               ghc (>= 9.6),
-               agda-bin (>= 2.6.4.3),
-               agda-bin (<< 2.6.4.4~),
-               libghc-agda-dev (>= 2.6.4.3),
-               libghc-agda-dev (<< 2.6.4.4~),
+Build-Depends: debhelper-compat (= 13),
+               ghc (>= 9.10),
+               agda-bin (>= 2.8.0),
+               agda-bin (<< 2.8.0.1~),
+               libghc-agda-dev (>= 2.8.0),
+               libghc-agda-dev (<< 2.8.0.1~),
                libghc-filemanip-dev (>= 0.3.6.2),
                libghc-filemanip-dev (<< 0.4),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/haskell-team/agda-stdlib
 Vcs-Git: https://salsa.debian.org/haskell-team/agda-stdlib.git
 Homepage: https://wiki.portal.chalmers.se/agda/
@@ -21,8 +21,8 @@
 Package: agda-stdlib
 Architecture: all
 Depends: ${misc:Depends},
-         libghc-agda-dev (>= 2.6.4.3),
-         libghc-agda-dev (<< 2.6.4.4~),
+         libghc-agda-dev (>= 2.8.0),
+         libghc-agda-dev (<< 2.8.0.1~),
 Enhances: elpa-agda2-mode
 Description: standard library for Agda
  Agda is a dependently typed functional programming language: It has inductive
